## org.jvnet.maven.plugin.antrun
Class DependencyGraphTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.jvnet.maven.plugin.antrun.DependencyGraphTask

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  GraphDefTask, ResolveAllTask

    public abstract class DependencyGraphTask

extends org.apache.tools.ant.Task

Base class for tasks that work with a dependency graph defined as a nested structure.

Author:
  Kohsuke Kawaguchi, Paul Sterk

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`DependencyGraphTask()`

Method Summary
`protected DependencyGraph` `buildGraph(GraphFilter filter)` Transforms a graph by applying the given filter to thtese "source graph", which is determined by the various parameter to this task.
`void` `setArtifactId(java.lang.String artifactId)`
`void` `setBaseGraph(java.lang.String id)`
`void` `setClassifier(java.lang.String classifier)`
`void` `setGroupId(java.lang.String groupId)`
`void` `setTolerateBrokenPOMs(boolean tolerateBrokenPOMs)` If true, ignore an artifact that fails to resolve.
`void` `setType(java.lang.String type)`
`void` `setVersion(java.lang.String version)`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, execute, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DependencyGraphTask

    public DependencyGraphTask()

Method Detail

### setGroupId

    public void setGroupId(java.lang.String groupId)

### setArtifactId

    public void setArtifactId(java.lang.String artifactId)

### setVersion

    public void setVersion(java.lang.String version)

### setType

    public void setType(java.lang.String type)

### setClassifier

    public void setClassifier(java.lang.String classifier)

### setBaseGraph

    public void setBaseGraph(java.lang.String id)

### setTolerateBrokenPOMs

    public void setTolerateBrokenPOMs(boolean tolerateBrokenPOMs)

  If true, ignore an artifact that fails to resolve.

### buildGraph

    protected DependencyGraph buildGraph(GraphFilter filter)

  Transforms a graph by applying the given filter to thtese "source graph", which is determined by the various parameter to this task.

Copyright © 2011. All Rights Reserved.